Question about Video Game Consoles & Games

2 Answers

R4i on DSI

Hi. I have purchased an R4i-SDHC and it has arrived a day after I had managed to connect the dsi and do the firmware update.
So I can't use the R4i at all?
I must admit that there were no warnings when I bought it, but there are on the web site that came with the packaging.
Please help.
Thanks.
E

Posted by on

Ad

2 Answers

  • Level 1:

    An expert who has achieved level 1.

    Hot-Shot:

    An expert who has answered 20 questions.

    Corporal:

    An expert that has over 10 points.

    Mayor:

    An expert whose answer got voted for 2 times.

  • Contributor
  • 33 Answers

To put this simply, The R4/R4i isn't strictly "Legal" so they expect that the people that purchase these devices are at least a little bit informed on the subject, and then they try to market to people who don't know 100% what they're doing. I don't know why they think they can have it both ways.

you will either need to wait until The R4 company release a software update (From that website you mentioned), or downgrade your dsi software (Tricky and Dangerous.), my suggestion is to wait a while and check the r4 site regularly or to temporarily trade ds's with a friend or family member who didn't update. Good Luck M8!

Posted on Sep 09, 2009

Ad
  • Level 2:

    An expert who has achieved level 2 by getting 100 points

    MVP:

    An expert that got 5 achievements.

    Governor:

    An expert whose answer got voted for 20 times.

    Scholar:

    An expert who has written 20 answers of more than 400 characters.

  • Expert
  • 63 Answers

Hello,

Which R4i you have will determine what you can do. If you have the R4i Gold, then I'm sorry to tell you, there's no workaround for DSi 1.4. If you have R4i SDHC (redbox) then you can get the latest firmware to make it work again. The fix is easy and no risk to your card or dsi.

There's a great tutorial to set it up on http://www.dscardworld.com with pictures and links to all the official software on their support page.

If you need to upgrade to a DSi v1.4 compatible card you can get a genuine cards there too. All their DSi compatible cards are clearly labeled. I managed to find this site after I got burned at a few others. Loved having my emails responded to because I had loads of questions, and they were quick to ship it.

Best of luck!

Posted on Nov 29, 2009

Ad

1 Suggested Answer

6ya6ya
  • 2 Answers

SOURCE: I have freestanding Series 8 dishwasher. Lately during the filling cycle water hammer is occurring. How can this be resolved

Hi,
a 6ya expert can help you resolve that issue over the phone in a minute or two.
Best thing about this new service is that you are never placed on hold and get to talk to real repairmen in the US.
New users get to try the service completely Free afterwhich it costs $6 per call and covers almost anything you can think of (from cars to computers, handyman, and even drones).
click here to download the app (for users in the US for now) and get all the help you need.
Goodluck!

Posted on Jan 02, 2017

Add Your Answer

Uploading: 0%

my-video-file.mp4

Complete. Click "Add" to insert your video. Add

×

Loading...
Loading...

Related Questions:

1 Answer

Hi when i updated my dsi and then went on my r4i it came up with the following message: an error has occured. press and hold the power button to turn the system off. please refer to the nitendo DSI...


Hi the update has caused the dsi to refuse the r4 card nintendo have put some data in the update that stops you using the r4 cards so your not going to be able to use it, you may be able to do the following depending on what dsi you have got

which kind of r4i do you have?
If you have a R4i golden or R4i-SDHC(red), then you have to buy a new card for your dsi , because two of the cards are un-upgreadeable.
If you have a Hyper-r4i, R4i_CN or R4Ui , then you can download an updater progommen to update your r4i to fit the DSi V1.4 firmware.
Here is a list for Flash cart update:
http://www.4coolday.com/more_news&news_id=25.html


hopefully you can get it sorted you will either need a new r4 card that is able to work with the latest update or follow the instrucions on the links above if your dsi is one listed above

let me know if you need further assistance ok

plz rate this solution as i have a whole page of unrated posts, thanks

Sep 29, 2010 | Video Game Consoles & Games

3 Answers

System date error\r\n


Hi,

This kind of error is caused by a software incompatibility to continue to function when the dates on the Nintendo DS/DSi were set differently than the files on the Micro-SD card. This problem could have arisen when a user transferred a .SAV file from a DS with a different date, or the DS ran out of battery.In most cases, setting the date back a few days temporarily will solve the problem and in some cases up to a month was required!.The software from NDS-Gear, which can be downloaded in R4i Software Downloads page, is a permanent fix to the issue for the R4i SDHC card!
This software will NOT work for FAKE R4i SDHC cards (i.e. the ones from r4isdhc.com as opposed to r4i-sdhc.com).

Thank you !!

Jun 15, 2010 | Nintendo DSi White Console

1 Answer

After going online with the dsi the r4i card will not work, any suggestions please


I am assuming you have updated your DSi to firmware 1.4. This firmware breaks the compatibility between older R4i cards (That where made before Nintendo's 1.4 firmware update) and the DSi. The only solution, i'm afraid, is to purchase a new R4i. When you do purchase one ensure that it is 1.4 compatible. Unfortunately you cannot uninstall the 1,4 firmware from your DSi wither. :S
If you want assistance in making a purchase of an R4i this is where I got mine from and I can confirm it works with 1.4 firmware: R4i

Jan 03, 2010 | Nintendo DS Lite Console

1 Answer

R4i stopped working - firmware 1.3E, What to do


I'm afraid that your DSi has had an updated, likely to be included with a rec3nt game that has been played on the DSi - even though your firmware is 1.3e it has the same protection as 1.4e. You need to buy a 1.4 compatible R4 card such as this one: http://www.memorycardzoo.com/2045/R4/R4i-SDHC/R4i-Standalone-Card/

Oct 15, 2009 | Nintendo DSi White Console

1 Answer

R4i stopped working - firmware 1.3E


I'm afraid that your DSi has had an updated, likely to be included with a rec3nt game that has been played on the DSi - even though your firmware is 1.3e it has the same protection as 1.4e. You need to buy a 1.4 compatible R4 card such as this one: http://www.memorycardzoo.com/2045/R4/R4i-SDHC/R4i-Standalone-Card/

Oct 05, 2009 | Nintendo DSi White Console

2 Answers

R4i Card


Well when you update it to 1.4a it blocks it because that version blocks r4i cards or any kind of firmware, people have had this problem before so look at the other questions before answering another one and use 'GOOGLE!'

Oct 01, 2009 | Nintendo DSi Black Console

6 Answers

My r4i wont work since I updated my dsi


It's because the newest firmware blocks the R4i card, next time use google a bit more before you do a firmware update, you need to buy the
newest R4i card, the newest moddel of that flash card works again with the newest firmware.

Tip: Buy the Hyper-R4i card instead of the R4i because the hyper-r4i has
a reprogammable chip, you don't have to buy every time a new flash card, you just have to update the chip on the flashcard to bypass anny protection.

Sep 17, 2009 | Nintendo DSi Black Console

3 Answers

Up dated my settings on my DSi with my R4i card in the machine know it will not work can you help solve my problem


Hello,

Which R4i you have will determine what you can do. If you have the R4i Gold, then I'm sorry to tell you, there's no workaround for DSi 1.4. If you have R4i SDHC (redbox) then you can get the latest firmware to make it work again. The fix is easy, no flashing or danger to your card or DSi.

There's a great tutorial to set it up on http://www.dscardworld.com with pictures and links to all the official software on their support page.



If you need to upgrade to a DSi v1.4 compatible card you can get a genuine cards there too. All their DSi compatible cards are clearly labeled. I managed to find this site after I got burned at a few others. Loved having my emails responded to because I had loads of questions, and they were quick to ship it.

Best of luck!



Sep 04, 2009 | Nintendo DS Lite Console

6 Answers

Upfrade to 1.4 and R4i does not work


Hi there is no way round this other than buy a new card. I found these sold on an auction site- zolanta. (It comes with the software) Mine arrived and is working fine with 1.4 firmware

Aug 18, 2009 | Nintendo DSi Black Console

2 Answers

R4i wont work on dsi


Curently the R4i Team has released a new flash adapter called Hyper-R4i,
this adapter has a re programmable dual core on board.

The R4i Team brought a new firmware out for the Hyper-R4i that works around the latest firmware of the Nintendo DSi v1.4 all regions.

See: http://www.hyper4i.com

Aug 04, 2009 | Nintendo DSi Black Console

Not finding what you are looking for?
Video Game Consoles & Games Logo

Related Topics:

528 people viewed this question

Ask a Question

Usually answered in minutes!

Top Video Game Consoles & Games Experts

James Wishart

Level 2 Expert

122 Answers

yadayada
yadayada

Level 3 Expert

76630 Answers

Brad Brown

Level 3 Expert

15941 Answers

Are you a Video Game Console and Game Expert? Answer questions, earn points and help others

Answer questions

Manuals & User Guides

Loading...